##
##  postgresql-pgtask.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2023 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         postgresql-pgtask
Summary:      PostgreSQL Extension: Scheduled Task
URL:          https://github.com/RekGRpth/pg_task/
Vendor:       RekGRpth
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Database
License:      BSD
Version:      1.0.0
Release:      20230830

#   list of sources
Source0:      https://github.com/RekGRpth/pg_task/archive/refs/tags/v%{version}.tar.gz
Patch0:       postgresql-pgtask.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, wget
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  postgresql, libsodium
PreReq:       postgresql, libsodium

%description
    This is a PostgreSQL extension for providing scheduled tasks. It
    allows to execute any SQL command at any specific time at background
    asynchronously.

%track
    prog postgresql-pgtask = {
        version   = %{version}
        url       = https://github.com/RekGRpth/pg_task/releases
        regex     = tree/v(\d+\.\d+\.\d+)
    }

%prep
    %setup -q -n pg_task-%{version}
    %patch -p0

%build
    %{l_make} %{l_mflags} \
        USE_PGXS=1 \
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags -O}" \
        CPPFLAGS="%{l_cppflags}" \
        LDFLAGS="%{l_ldflags}" \
        pg_task.so

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

